%global pgmajorversion 16

Summary:	PostgreSQL ODBC driver
Name:		postgresql%{pgmajorversion}-odbc
Version:	16.00.0000
Release:	1%{?dist}
License:	LGPLv2
URL:		https://odbc.postgresql.org/
Source0:	https://download.postgresql.org/pub/odbc/versions/src/psqlodbc-%{version}.tar.gz
Source1:	acinclude.m4

BuildRequires:	unixODBC-devel
BuildRequires:	libtool automake autoconf postgresql%{pgmajorversion}-private-devel
# postgresql-server-devel provides pg_config -> pg_server_config
BuildRequires:	postgresql%{pgmajorversion}-server-devel
BuildRequires:	openssl-devel krb5-devel pam-devel zlib-devel readline-devel
Requires:	postgresql%{pgmajorversion}-private-libs
Provides:	postgresql%{pgmajorversion}-odbc >= 08.00.0100

%description
This package includes the driver needed for applications to access a
PostgreSQL system via ODBC (Open Database Connectivity).

%prep
%autosetup -n psqlodbc-%{version}
%ifarch ppc64le
sed -i "s:elf64ppc:elf64lppc:g" configure
%endif

# Some missing macros
%{__cp} -p %{SOURCE1} .
%{__rm} -f libtool.m4

libtoolize --force --copy
aclocal -I .
automake --add-missing --copy
autoconf
autoheader

%build
chmod +x configure
./configure --with-unixodbc --disable-dependency-tracking --with-libpq=%{_bindir} --libdir=%{_libdir}
%make_build
%install
%make_install

# Provide the old library name "psqlodbc.so" as a symlink,
# and remove the rather useless .la file

%{__install} -d -m 755 %{buildroot}%{_libdir}/pgsql
pushd %{buildroot}%{_libdir}/pgsql
	%{__ln_s} psqlodbcw.so psqlodbc.so
	%{__mv} %{buildroot}%{_libdir}/psqlodbc*.so %{buildroot}%{_libdir}/pgsql
	%{__rm} %{buildroot}%{_libdir}/psqlodbcw.la
	%{__rm} %{buildroot}%{_libdir}/psqlodbca.la
popd

%files
%license license.txt
%doc readme.txt
%{_libdir}/pgsql/psqlodbcw.so
%{_libdir}/pgsql/psqlodbc.so
%{_libdir}/pgsql/psqlodbca.so

%changelog
* Fri Apr 12 2024 Wang Guodong <gordonwwang@tencent.com> - 16.00.0000-1
- init build
